Subject: bug#23009: 25.0.92; xterm-mouse-mode should not assume UTF-8 coordinates

From: Philipp Stephani <[email-masked]>
Date: Mon, 14 Mar 2016 23:03:21 +0000

Philipp Stephani <[email-masked]> schrieb am Mo., 14. März 2016 um
18:24 Uhr:

> Eli Zaretskii <[email-masked]> schrieb am Mo., 14. März 2016 um 17:43 Uhr:
>
>> > From: Philipp Stephani <[email-masked]>
>> > Date: Mon, 14 Mar 2016 13:56:41 +0100
>> >
>> > I'd suggest the following (and will happily provide patches if
>> > accepted):
>> >
>> > - Don't enable UTF-8 coordinates at all.  It is too hard to figure out
>> >   whether they are enabled.  Rather, err on the safe side and only use
>> >   single-byte coordinates.  (The superior SGR mode, which doesn't suffer
>> >   from this problem, should remain enabled.)
>>
>> How about providing a user option, off by default, to enable that?  A
>> user who knows that this works on her machine will then be able to use
>> the feature.
>>
>
> I considered that, but then it would be impossible to have different
> terminals with and without the option. Might still be a good idea, if it's
> off by default.
>

Added a patch. I've had to use latin-1 instead of no-conversion to prevent
resetting the meta mode.